Bug 95345 - [MAINTAINER] security/openvpn: SECURITY UPDATE to 2.0.6
[MAINTAINER] security/openvpn: SECURITY UPDATE to 2.0.6
Status: Closed FIXED
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s)
Latest
Any Any
: Normal Affects Only Me
Assigned To: Renato Botelho
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2006-04-05 11:30 UTC by matthias.andree
Modified: 2006-04-06 09:10 UTC (History)
0 users

See Also:


Attachments
openvpn-2.0.6.patch (3.46 KB, patch)
2006-04-05 11:30 UTC, matthias.andree
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description matthias.andree 2006-04-05 11:30:16 UTC
- Update to 2.0.6
  - security fix for client LD_PRELOAD code injection vulnerability
    through compromised upstream servers
    (FreeBSD VuXML Vuln VID be4ccb7b-c48b-11da-ae12-0002b3b60e4c,
     filed in separate PR)
    CVE id not known yet
  - 2 other changes only relevant for Linux and NetBSD, not detailed here.

Removed file(s):
- files/patch-tests-for-jail
  (merged upstream)

Generated with FreeBSD Port Tools 0.63
Comment 1 Renato Botelho freebsd_committer 2006-04-05 14:56:03 UTC
Responsible Changed
From-To: freebsd-ports-bugs->garga

I'll take it.
Comment 2 Renato Botelho freebsd_committer 2006-04-05 15:59:12 UTC
State Changed
From-To: open->closed

Committed. Thanks!
Comment 3 matthias.andree 2006-04-06 09:06:45 UTC
This bug can be closed,
the required patch is now in the upstream repository.

Thanks.

-- 
Matthias Andree